MyGUI: MyGUI::TabControl Class Reference

MyGUI 3.2.2

Data Structures | Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Friends
MyGUI::TabControl Class Reference

TabControl properties.
Skin childs. TabControl widget description should be here. More...

`#include <MyGUI_TabControl.h>`

Inheritance diagram for MyGUI::TabControl:
[legend]

## Data Structures
struct | TabItemInfo

## Public Types
typedef RTTIBase | Base
typedef TabControl | RTTIBase
typedef std::vector< TabItemInfo > | VectorTabItemInfo
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| TabControl ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
size_t | getItemCount () const
| Get number of items. More...
TabItem * | insertItemAt (size_t _index, const UString &_name, Any _data=Any::Null)
| Insert an item into a array at a specified position. More...
TabItem * | insertItem (TabItem *_to, const UString &_name, Any _data=Any::Null)
| Insert an item into a array. More...
TabItem * | addItem (const UString &_name, Any _data=Any::Null)
| Add an item to the end of a array. More...
void | removeItemAt (size_t _index)
| Remove item at a specified position. More...
void | removeItem (TabItem *_item)
| Remove item. More...
void | removeAllItems ()
| Remove all items. More...
TabItem * | getItemAt (size_t _index)
| Get item from specified position. More...
size_t | getItemIndex (TabItem *_item)
| Get item index. More...
size_t | findItemIndex (TabItem *_item)
| Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found. More...
size_t | findItemIndexWith (const UString &_name)
| Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found. More...
TabItem * | findItemWith (const UString &_name)
| Search item, returns the item of the first occurrence in array or nullptr if item not found. More...
void | swapItems (size_t _index1, size_t _index2)
size_t | getIndexSelected () const
| Get index of selected item (ITEM_NONE if none selected) More...
TabItem * | getItemSelected ()
| Get selected item (nullptr if none selected) More...
void | setIndexSelected (size_t _index)
| Select specified _index. More...
void | setItemSelected (TabItem *_item)
| Select item. More...
void | setItemDataAt (size_t _index, Any _data)
| Replace an item data at a specified position. More...
void | setItemData (TabItem *_item, Any _data)
| Replace an item data. More...
void | clearItemDataAt (size_t _index)
| Clear an item data at a specified position. More...
void | clearItemData (TabItem *_item)
| Clear an item data. More...
template<typename ValueType >
ValueType * | getItemDataAt (size_t _index, bool _throw=true)
| Get item data from specified position. More...
template<typename ValueType >
ValueType * | getItemData (TabItem *_item, bool _throw=true)
| Get item data. More...
void | setItemNameAt (size_t _index, const UString &_name)
| Replace an item name at a specified position. More...
void | setItemName (TabItem *_item, const UString &_name)
| Replace an item name. More...
const UString & | getItemNameAt (size_t _index)
| Get item name from specified position. More...
const UString & | getItemName (TabItem *_item)
| Get item name. More...
void | beginToItemAt (size_t _index)
| Move all elements so specified becomes visible. More...
void | beginToItem (TabItem *_item)
| Move all elements so specified becomes visible. More...
void | beginToItemFirst ()
| Move all elements so first becomes visible. More...
void | beginToItemLast ()
| Move all elements so last becomes visible. More...
void | beginToItemSelected ()
| Move all elements so selected becomes visible. More...
void | setButtonWidthAt (size_t _index, int _width=DEFAULT)
| Set button width at a specified position. More...
void | setButtonWidth (TabItem *_item, int _width=DEFAULT)
| Set button width. More...
int | getButtonWidthAt (size_t _index)
| Get button width at a specified position. More...
int | getButtonWidth (TabItem *_item)
| Get button width. More...
void | setButtonDefaultWidth (int _value)
int | getButtonDefaultWidth () const
void | setButtonAutoWidth (bool _value)
bool | getButtonAutoWidth () const
void | setSmoothShow (bool _value)
bool | getSmoothShow () const
virtual size_t | _getItemCount ()
virtual void | _addItem (const MyGUI::UString &_name)
virtual void | _removeItemAt (size_t _index)
virtual Widget * | _getItemAt (size_t _index)
virtual void | _setItemNameAt (size_t _index, const UString &_name)
virtual const UString & | _getItemNameAt (size_t _index)
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget. More...
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount ()
Widget * | getChildAt (size_t _index)
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord ()
Widget * | getClientWidget ()
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
virtual size_t | _getItemIndex (Widget *_item)
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer ()
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::IItemContainer
| IItemContainer ()
virtual | ~IItemContainer ()
virtual void | _setItemSelected (IItem *_item)
Public Member Functions inherited from MyGUI::MemberObsolete< TabControl >
int | getSheetButtonWidthIndex (size_t _index)
int | getSheetButtonWidth (TabItem *_sheet)
void | setSheetButtonWidthIndex (size_t _index, int _width=DEFAULT)
void | setSheetButtonWidth (TabItem *_sheet, int _width=DEFAULT)
void | showBarButton (size_t _index)
void | showBarSelectButton ()
size_t | getSheetCount ()
const UString & | getSheetName (TabItem *_sheet)
const UString & | getSheetNameIndex (size_t _index)
TabItem * | getSheet (size_t _index)
void | setSheetNameIndex (size_t _index, const UString &_name, int _width=DEFAULT)
void | setSheetName (TabItem *_sheet, const UString &_name, int _width=DEFAULT)
TabItem * | addSheet (const UString &_name, int _width=DEFAULT)
TabItem * | insertSheet (size_t _index, const UString &_name, int _width=DEFAULT)
void | removeSheetIndex (size_t _index)
void | removeSheet (TabItem *_sheet)
void | selectSheetIndex (size_t _index, bool _smooth=true)
void | selectSheet (TabItem *_sheet, bool _smooth=true)
size_t | getSelectSheetIndex ()
size_t | getItemIndexSelected ()
void | setItemSelectedAt (size_t _index)

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Data Fields
EventPair< EventHandle_WidgetSizeT, EventHandle_TabPtrSizeT > | eventTabChangeSelect
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions
virtual void | initialiseOverride ()
virtual void | shutdownOverride ()
void | updateBar ()
void | notifyPressedButtonEvent (MyGUI::Widget *_sender)
void | notifyPressedBarButtonEvent (MyGUI::Widget *_sender)
int | _getTextWidth (const UString &_text)
void | _showItem (TabItem *_sheet, bool _show, bool _smooth)
void | _createItemButton ()
void | _insertItem (size_t _index, const UString &_name, TabItem *_sheet, Any _data)
void | _notifyDeleteItem (TabItem *_item)
virtual void | onWidgetCreated (Widget *_widget)
virtual void | setPropertyOverride (const std::string &_key, const std::string &_value)
Protected Member Functions inherited from MyGUI::Widget
virtual | ~Widget ()
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point)
virtual void | baseUpdateEnable ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual const IntCoord & | getLayerItemCoord () const
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name)
void | destroySkinWidget (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Friends
class | TabItem

## Additional Inherited Members
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

TabControl properties.
Skin childs. TabControl widget description should be here.

Definition at line 26 of file MyGUI_TabControl.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::TabControl::Base

Definition at line 35 of file MyGUI_TabControl.h.

## ◆ RTTIBase

typedef TabControl MyGUI::TabControl::RTTIBase

Definition at line 35 of file MyGUI_TabControl.h.

## ◆ VectorTabItemInfo

typedef std::vector<TabItemInfo> MyGUI::TabControl::VectorTabItemInfo

Definition at line 56 of file MyGUI_TabControl.h.

## Constructor & Destructor Documentation

## ◆ TabControl()

MyGUI::TabControl::TabControl | ( |  | ) |

Definition at line 20 of file MyGUI_TabControl.cpp.

## Member Function Documentation

## ◆ _addItem()

void MyGUI::TabControl::_addItem | ( | const MyGUI::UString & | _name | ) |
| virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 772 of file MyGUI_TabControl.cpp.

## ◆ _createItemButton()

void MyGUI::TabControl::_createItemButton | ( |  | ) |
| protected

Definition at line 434 of file MyGUI_TabControl.cpp.

## ◆ _getItemAt()

Widget * MyGUI::TabControl::_getItemAt | ( | size_t | _index | ) |
| virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 782 of file MyGUI_TabControl.cpp.

## ◆ _getItemCount()

size_t MyGUI::TabControl::_getItemCount | ( |  | ) |
| virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 767 of file MyGUI_TabControl.cpp.

## ◆ _getItemNameAt()

const UString & MyGUI::TabControl::_getItemNameAt | ( | size_t | _index | ) |
| virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 792 of file MyGUI_TabControl.cpp.

## ◆ _getTextWidth()

int MyGUI::TabControl::_getTextWidth | ( | const UString & | _text | ) |
| protected

Definition at line 442 of file MyGUI_TabControl.cpp.

## ◆ _insertItem()

void MyGUI::TabControl::_insertItem | ( | size_t | _index,
|  | const UString & | _name,
|  | TabItem * | _sheet,
|  | Any | _data
| ) |  |
| protected

Definition at line 488 of file MyGUI_TabControl.cpp.

## ◆ _notifyDeleteItem()

void MyGUI::TabControl::_notifyDeleteItem | ( | TabItem * | _item | ) |
| protected

Definition at line 459 of file MyGUI_TabControl.cpp.

## ◆ _removeItemAt()

void MyGUI::TabControl::_removeItemAt | ( | size_t | _index | ) |
| virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 777 of file MyGUI_TabControl.cpp.

## ◆ _setItemNameAt()

void MyGUI::TabControl::_setItemNameAt | ( | size_t | _index,
|  | const UString & | _name
| ) |  |
| virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 787 of file MyGUI_TabControl.cpp.

## ◆ _showItem()

void MyGUI::TabControl::_showItem | ( | TabItem * | _sheet,
|  | bool | _show,
|  | bool | _smooth
| ) |  |
| protected

Definition at line 398 of file MyGUI_TabControl.cpp.

## ◆ addItem()

TabItem * MyGUI::TabControl::addItem | ( | const UString & | _name,
|  | Any | _data = `Any::Null`
| ) |  |

Add an item to the end of a array.

Definition at line 669 of file MyGUI_TabControl.cpp.

## ◆ beginToItem()

void MyGUI::TabControl::beginToItem | ( | TabItem * | _item | ) |

Move all elements so specified becomes visible.

Definition at line 714 of file MyGUI_TabControl.cpp.

## ◆ beginToItemAt()

void MyGUI::TabControl::beginToItemAt | ( | size_t | _index | ) |

Move all elements so specified becomes visible.

Definition at line 274 of file MyGUI_TabControl.cpp.

## ◆ beginToItemFirst()

void MyGUI::TabControl::beginToItemFirst | ( |  | ) |

Move all elements so first becomes visible.

Definition at line 719 of file MyGUI_TabControl.cpp.

## ◆ beginToItemLast()

void MyGUI::TabControl::beginToItemLast | ( |  | ) |

Move all elements so last becomes visible.

Definition at line 725 of file MyGUI_TabControl.cpp.

## ◆ beginToItemSelected()

void MyGUI::TabControl::beginToItemSelected | ( |  | ) |

Move all elements so selected becomes visible.

Definition at line 731 of file MyGUI_TabControl.cpp.

## ◆ clearItemData()

void MyGUI::TabControl::clearItemData | ( | TabItem * | _item | ) |

Clear an item data.

Definition at line 699 of file MyGUI_TabControl.cpp.

## ◆ clearItemDataAt()

void MyGUI::TabControl::clearItemDataAt | ( | size_t | _index | ) |

Clear an item data at a specified position.

Definition at line 694 of file MyGUI_TabControl.cpp.

## ◆ findItemIndex()

size_t MyGUI::TabControl::findItemIndex | ( | TabItem * | _item | ) |

Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found.

Definition at line 572 of file MyGUI_TabControl.cpp.

## ◆ findItemIndexWith()

size_t MyGUI::TabControl::findItemIndexWith | ( | const UString & | _name | ) |

Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found.

Definition at line 582 of file MyGUI_TabControl.cpp.

## ◆ findItemWith()

TabItem * MyGUI::TabControl::findItemWith | ( | const UString & | _name | ) |

Search item, returns the item of the first occurrence in array or nullptr if item not found.

Definition at line 592 of file MyGUI_TabControl.cpp.

## ◆ getButtonAutoWidth()

bool MyGUI::TabControl::getButtonAutoWidth | ( |  | ) | const

Get button auto width flag

Definition at line 752 of file MyGUI_TabControl.cpp.

## ◆ getButtonDefaultWidth()

int MyGUI::TabControl::getButtonDefaultWidth | ( |  | ) | const

Get default button width

Definition at line 747 of file MyGUI_TabControl.cpp.

## ◆ getButtonWidth()

int MyGUI::TabControl::getButtonWidth | ( | TabItem * | _item | ) |

Get button width.

Definition at line 742 of file MyGUI_TabControl.cpp.

## ◆ getButtonWidthAt()

int MyGUI::TabControl::getButtonWidthAt | ( | size_t | _index | ) |

Get button width at a specified position.

Definition at line 518 of file MyGUI_TabControl.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::TabControl::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 35 of file MyGUI_TabControl.h.

## ◆ getIndexSelected()

size_t MyGUI::TabControl::getIndexSelected | ( |  | ) | const

Get index of selected item (ITEM_NONE if none selected)

Definition at line 679 of file MyGUI_TabControl.cpp.

## ◆ getItemAt()

TabItem * MyGUI::TabControl::getItemAt | ( | size_t | _index | ) |

Get item from specified position.

Definition at line 530 of file MyGUI_TabControl.cpp.

## ◆ getItemCount()

size_t MyGUI::TabControl::getItemCount | ( |  | ) | const

Get number of items.

Definition at line 659 of file MyGUI_TabControl.cpp.

## ◆ getItemData()

template<typename ValueType >

ValueType* MyGUI::TabControl::getItemData | ( | TabItem * | _item,
|  | bool | _throw = `true`
| ) |  |
| inline

Get item data.

Definition at line 150 of file MyGUI_TabControl.h.

## ◆ getItemDataAt()

template<typename ValueType >

ValueType* MyGUI::TabControl::getItemDataAt | ( | size_t | _index,
|  | bool | _throw = `true`
| ) |  |
| inline

Get item data from specified position.

Definition at line 143 of file MyGUI_TabControl.h.

## ◆ getItemIndex()

size_t MyGUI::TabControl::getItemIndex | ( | TabItem * | _item | ) |

Get item index.

Definition at line 562 of file MyGUI_TabControl.cpp.

## ◆ getItemName()

const UString & MyGUI::TabControl::getItemName | ( | TabItem * | _item | ) |

Get item name.

Definition at line 709 of file MyGUI_TabControl.cpp.

## ◆ getItemNameAt()

const UString & MyGUI::TabControl::getItemNameAt | ( | size_t | _index | ) |

Get item name from specified position.

Definition at line 524 of file MyGUI_TabControl.cpp.

## ◆ getItemSelected()

TabItem * MyGUI::TabControl::getItemSelected | ( |  | ) |

Get selected item (nullptr if none selected)

Definition at line 602 of file MyGUI_TabControl.cpp.

## ◆ getSmoothShow()

bool MyGUI::TabControl::getSmoothShow | ( |  | ) | const

Get smooth sheets showing flag

Definition at line 762 of file MyGUI_TabControl.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::TabControl::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::Widget.

Definition at line 35 of file MyGUI_TabControl.h.

## ◆ initialiseOverride()

void MyGUI::TabControl::initialiseOverride | ( |  | ) |
| protectedvirtual

skin clilds:
  Left is child widget with type Button. Кнопка прокрутки заголовков влево.

skin clilds:
  Right is child widget with type Button. Кнопка прокрутки заголовков вправо.

skin clilds:
  TabItem is child widget with type Widget. Шаблон для страницы, по которому будут создаваться клиентские зоны страниц.

skin clilds:
  HeaderPlace is child widget with type Widget. Место для заголовоков.

skin clilds:
  Controls is child widget with type Widget. Виджет на котором должны быть расположены кнопки влево и вправо для заголовоков.

skin clilds:
  Empty is child widget with type Widget. Виджет который будет показываться в месте где нет заголовков (справа от заголовков).

Reimplemented from MyGUI::Widget.

Definition at line 42 of file MyGUI_TabControl.cpp.

## ◆ insertItem()

TabItem * MyGUI::TabControl::insertItem | ( | TabItem * | _to,
|  | const UString & | _name,
|  | Any | _data = `Any::Null`
| ) |  |

Insert an item into a array.

Definition at line 664 of file MyGUI_TabControl.cpp.

## ◆ insertItemAt()

TabItem * MyGUI::TabControl::insertItemAt | ( | size_t | _index,
|  | const UString & | _name,
|  | Any | _data = `Any::Null`
| ) |  |

Insert an item into a array at a specified position.

Definition at line 168 of file MyGUI_TabControl.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::TabControl::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 35 of file MyGUI_TabControl.h.

## ◆ isType() [2/2]

virtual bool MyGUI::TabControl::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Definition at line 35 of file MyGUI_TabControl.h.

## ◆ notifyPressedBarButtonEvent()

void MyGUI::TabControl::notifyPressedBarButtonEvent | ( | MyGUI::Widget * | _sender | ) |
| protected

Definition at line 237 of file MyGUI_TabControl.cpp.

## ◆ notifyPressedButtonEvent()

void MyGUI::TabControl::notifyPressedButtonEvent | ( | MyGUI::Widget * | _sender | ) |
| protected

Definition at line 216 of file MyGUI_TabControl.cpp.

## ◆ onWidgetCreated()

void MyGUI::TabControl::onWidgetCreated | ( | Widget * | _widget | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 154 of file MyGUI_TabControl.cpp.

## ◆ removeAllItems()

void MyGUI::TabControl::removeAllItems | ( |  | ) |

Remove all items.

Definition at line 542 of file MyGUI_TabControl.cpp.

## ◆ removeItem()

void MyGUI::TabControl::removeItem | ( | TabItem * | _item | ) |

Remove item.

Definition at line 674 of file MyGUI_TabControl.cpp.

## ◆ removeItemAt()

void MyGUI::TabControl::removeItemAt | ( | size_t | _index | ) |

Remove item at a specified position.

Definition at line 536 of file MyGUI_TabControl.cpp.

## ◆ setButtonAutoWidth()

void MyGUI::TabControl::setButtonAutoWidth | ( | bool | _value | ) |

Enable or disable button auto width

Definition at line 319 of file MyGUI_TabControl.cpp.

## ◆ setButtonDefaultWidth()

void MyGUI::TabControl::setButtonDefaultWidth | ( | int | _value | ) |

Set default button width and disable autowidth mode

Definition at line 311 of file MyGUI_TabControl.cpp.

## ◆ setButtonWidth()

void MyGUI::TabControl::setButtonWidth | ( | TabItem * | _item,
|  | int | _width = `DEFAULT`
| ) |  |

Set button width.

Definition at line 737 of file MyGUI_TabControl.cpp.

## ◆ setButtonWidthAt()

void MyGUI::TabControl::setButtonWidthAt | ( | size_t | _index,
|  | int | _width = `DEFAULT`
| ) |  |

Set button width at a specified position.

Definition at line 338 of file MyGUI_TabControl.cpp.

## ◆ setCoord() [1/2]

void MyGUI::TabControl::setCoord | ( | const IntCoord & | _value | ) |
| virtual

Set widget position and size

Reimplemented from MyGUI::Widget.

Definition at line 209 of file MyGUI_TabControl.cpp.

## ◆ setCoord() [2/2]

void MyGUI::TabControl::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height
| ) |  |

See Widget::setCoord(const IntCoord& _coord)

Definition at line 654 of file MyGUI_TabControl.cpp.

## ◆ setIndexSelected()

void MyGUI::TabControl::setIndexSelected | ( | size_t | _index | ) |

Select specified _index.

Definition at line 373 of file MyGUI_TabControl.cpp.

## ◆ setItemData()

void MyGUI::TabControl::setItemData | ( | TabItem * | _item,
|  | Any | _data
| ) |  |

Replace an item data.

Definition at line 689 of file MyGUI_TabControl.cpp.

## ◆ setItemDataAt()

void MyGUI::TabControl::setItemDataAt | ( | size_t | _index,
|  | Any | _data
| ) |  |

Replace an item data at a specified position.

Definition at line 512 of file MyGUI_TabControl.cpp.

## ◆ setItemName()

void MyGUI::TabControl::setItemName | ( | TabItem * | _item,
|  | const UString & | _name
| ) |  |

Replace an item name.

Definition at line 704 of file MyGUI_TabControl.cpp.

## ◆ setItemNameAt()

void MyGUI::TabControl::setItemNameAt | ( | size_t | _index,
|  | const UString & | _name
| ) |  |

Replace an item name at a specified position.

Definition at line 356 of file MyGUI_TabControl.cpp.

## ◆ setItemSelected()

void MyGUI::TabControl::setItemSelected | ( | TabItem * | _item | ) |

Select item.

Definition at line 684 of file MyGUI_TabControl.cpp.

## ◆ setPosition() [1/2]

void MyGUI::TabControl::setPosition | ( | const IntPoint & | _value | ) |
| virtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::Widget.

Definition at line 195 of file MyGUI_TabControl.cpp.

## ◆ setPosition() [2/2]

void MyGUI::TabControl::setPosition | ( | int | _left,
|  | int | _top
| ) |  |

See Widget::setPosition(const IntPoint& _pos)

Definition at line 644 of file MyGUI_TabControl.cpp.

## ◆ setPropertyOverride()

void MyGUI::TabControl::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| protectedvirtual

Properties:
  ButtonWidth is TabControl property with type int.
  Ширина кнопок в заголовках в пикселях.

Properties:
  ButtonAutoWidth is TabControl property with type bool.
  Режим автоматического вычисления ширины кнопок в заголовках.

Properties:
  SmoothShow is TabControl property with type bool.
  Плавное переключение между закладками.

Reimplemented from MyGUI::Widget.

Definition at line 617 of file MyGUI_TabControl.cpp.

## ◆ setSize() [1/2]

void MyGUI::TabControl::setSize | ( | const IntSize & | _value | ) |
| virtual

Set widget size

Reimplemented from MyGUI::Widget.

Definition at line 202 of file MyGUI_TabControl.cpp.

## ◆ setSize() [2/2]

void MyGUI::TabControl::setSize | ( | int | _width,
|  | int | _height
| ) |  |

See Widget::setSize(const IntSize& _size)

Definition at line 649 of file MyGUI_TabControl.cpp.

## ◆ setSmoothShow()

void MyGUI::TabControl::setSmoothShow | ( | bool | _value | ) |

Enable or disable smooth sheets showing

Definition at line 757 of file MyGUI_TabControl.cpp.

## ◆ shutdownOverride()

void MyGUI::TabControl::shutdownOverride | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 134 of file MyGUI_TabControl.cpp.

## ◆ swapItems()

void MyGUI::TabControl::swapItems | ( | size_t | _index1,
|  | size_t | _index2
| ) |  |

Definition at line 183 of file MyGUI_TabControl.cpp.

## ◆ updateBar()

void MyGUI::TabControl::updateBar | ( |  | ) |
| protected

Definition at line 797 of file MyGUI_TabControl.cpp.

## Friends And Related Function Documentation

## ◆ TabItem

friend class TabItem
| friend

Definition at line 33 of file MyGUI_TabControl.h.

## Field Documentation

## ◆ eventTabChangeSelect

EventPair<EventHandle_WidgetSizeT, EventHandle_TabPtrSizeT> MyGUI::TabControl::eventTabChangeSelect

Event : Active TabControl sheet changed
signature : void method(MyGUI::TabControl* _sender, size_t _index)

Parameters

  _sender | widget that called this event
  _index | Index of selected sheet

Definition at line 224 of file MyGUI_TabControl.h.

The documentation for this class was generated from the following files:

- MyGUI_TabControl.h
- MyGUI_TabControl.cpp